import { type EscrowEntity } from '../entities/escrow.entity';

export const ESCROW_REPOSITORY = Symbol('ESCROW_REPOSITORY');

export interface IEscrowRepository {
  findById(id: string): Promise<EscrowEntity | null>;
  findByOrderId(orderId: string): Promise<EscrowEntity | null>;
  save(escrow: EscrowEntity): Promise<void>;
  update(escrow: EscrowEntity): Promise<void>;
}
